enterReplayMode
Use the interface to start quick replay which jumps back to the start of the buffer.
Director Plus
Request Mode
POST/GET http://ip/V1.0/replay/enterReplayMode?playStyle=1&replayLenIndexList=[0,1,2,3]
Request Data
| Parameter | Type | Description |
|---|---|---|
| playStyle | Int | Replay mode, 1: Sequential replay, 2: Multi-view replay |
| replayLenIndexList | List |
Ordered list of replay cameras, non-essential parameter, default value is all valid cameras. This parameter decides the order of sequential replay and the layout of multi-view replay. |
Response Body
Director One / Director Mini
Request Mode
POST/GET http://ip/V1.0/replay/enterReplayMode?playStyle=1
Request Data
| Parameter | Type | Description |
|---|---|---|
| playStyle | Int | Replay mode, non-essential parameter, which only taking effect for dual-camera replay, and the default value is -1 0: Cam 1 only 1: Cam 2 only 2: Cam 2 first, then Cam 2 3: Cam 2 first, then Cam 1 4: Side-by-side (Cam 1 & 2) 5: Side-by-side (Cam 2 & 1) |